﻿@using System.Web.UI.WebControls;
<table border="0">
    <tr>
        <td>
            <table border="0">
                <tr>
                    <td style="padding:10px;">
                        @Html.DevExpress().Label(
                            label =>
                            {
                                label.Text = "Service Reg.";
                            }).GetHtml()
                    </td>
                    <td style="padding:10px;">
                        @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.Name = "I_ADD_SERVICE_REG";
                                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                settings.Width = 150;
                                settings.Properties.MaxLength = 15;
                            }).Bind(Model.SERVICE_REGISTRATION).GetHtml()
                    </td>
                </tr>
                
                <tr>
                    <td style="padding:10px;">
                        @Html.DevExpress().Label(
                            label =>
                            {
                                label.Text = "Service Name";
                            }).GetHtml()
                    </td>
                    <td style="padding:10px;">
                        @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.Name = "I_ADD_SERVICE_NAME";
                                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                settings.Width = 150;
                                settings.Properties.MaxLength = 50;
                            }).Bind(Model.SERVICE_NAME).GetHtml()
                    </td>
                </tr>
                <tr>
                    <td style="padding:10px;">
                        @Html.DevExpress().Label(
                            label =>
                            {
                                label.Text = "Service Type";
                            }).GetHtml()
                    </td>
                    <td style="padding:10px;">
                        @Html.DevExpress().ComboBox(
                            settings =>
                            {
                                settings.Name = "I_ADD_SERVICE_TYPE";
                                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                settings.Width = 150;
                                settings.Properties.DropDownWidth = 100;
                                settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                                settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
                                settings.Properties.ClientSideEvents.ValueChanged = "I_ADD_SERVICE_TYPEOnChanged";
                            }).BindList(@Model.Tipe).GetHtml()
                    </td>
                </tr>
                <tr>
                    <td style="padding:10px;">
                        @Html.DevExpress().Label(
                        Label =>
                        {
                            Label.Text = "Price";
                            Label.Width = 90;
                        }).GetHtml()
                    </td>
                    <td style="padding:10px;">
                        @Html.DevExpress().SpinEdit(settings =>
                        {
                            settings.Name = "I_ADD_PRICE";
                            settings.Properties.SpinButtons.ShowLargeIncrementButtons = false;
                            settings.Properties.Increment = 1;
                            settings.Width = 100;
                            settings.Properties.NumberType = SpinEditNumberType.Float;
                            //settings.Properties.DisplayFormatString = "N1";
                            settings.Properties.MaxLength = 15;
                            //settings.Properties.MaxValue = 15;
                            settings.Properties.SpinButtons.ShowIncrementButtons = false;
                            settings.Properties.DecimalPlaces = 2;
                        }).Bind(Model.PRICE).GetHtml()
                    </td>
                </tr>
                <tr>
                    <td style="padding:10px;">
                        @Html.DevExpress().Label(
                        Label =>
                        {
                            Label.Text = "VAT";
                            Label.Width = 90;
                        }).GetHtml()
                    </td>
                    <td style="padding:10px;">
                        @Html.DevExpress().ComboBox(
                        ComboBox =>
                        {
                            ComboBox.Name = "I_ADD_VAT";
                            ComboBox.Width = 100;
                            ComboBox.SelectedIndex = -1;
                            ComboBox.Properties.DisplayFormatString = "{0}";
                            ComboBox.Properties.ValueType = typeof(string);
                            ComboBox.Properties.Items.Add("Y");
                            ComboBox.Properties.Items.Add("N");
                        }).Bind(Model.VAT).GetHtml()
                    </td>
                </tr>
                <tr>
                    <td style="padding:10px;">
                        @Html.DevExpress().Label(
                        Label =>
                        {
                            Label.Text = "Valid From";
                            Label.Width = 90;
                        }).GetHtml()
                    </td>
                    <td style="padding:10px;">
                        @Html.DevExpress().DateEdit(
                        settings =>
                        {
                            settings.Name = "I_ADD_VALID_FROM";
                            settings.Width = 100;
                            settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                            settings.Properties.EditFormat = EditFormat.Custom;
                            settings.Properties.EditFormatString = "dd.MM.yyyy";
                            settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                            settings.ReadOnly = false;
                            settings.Properties.UseMaskBehavior = true;
                            //settings.Properties.EditFormat = EditFormat.Custom;
                            settings.Properties.ClientSideEvents.DateChanged = "I_VALID_FROM_OnChanged";
                        }).Bind(@Model.VALID_FROM).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
        <td>
            <table border="0">
                <tr>
                    <td style="padding:10px;">
                        @Html.DevExpress().Label(
                            label =>
                            {
                                label.Text = "Service Code";
                            }).GetHtml()
                    </td>
                    <td style="padding:10px;">
                        @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.Name = "I_ADD_SERVICE_CODE";
                                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                settings.Width = 150;
                                settings.Properties.MaxLength = 5;
                            }).Bind(Model.SERVICE_CODE).GetHtml()
                    </td>
                </tr>
                <tr>
                    <td style="padding:10px;">
                        @Html.DevExpress().Label(
                        Label =>
                        {
                            Label.Text = "Vendor Type";
                            Label.Width = 90;
                        }).GetHtml()
                    </td>
                    <td style="padding:10px;">
                        @Html.DevExpress().ComboBox(
                        settings =>
                        {
                            settings.Name = "I_ADD_VENDOR_TYPE";
                            settings.Width = 100;
                            settings.Properties.DropDownWidth = 100;
                            settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                            settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
                            settings.Properties.ValueType = typeof(string);
                        }).BindList(@Model.VendorType).GetHtml()
                    </td>
                </tr>
                <tr>
                    <td style="padding:10px;">
                        @Html.DevExpress().Label(
                            label =>
                            {
                                label.Text = "Container Size";
                            }).GetHtml()
                    </td>
                    <td style="padding:10px;">
                        <table>
                            <tr>
                                <td>
                                    @Html.DevExpress().ComboBox(
                                    settings =>
                                    {
                                        settings.Name = "I_ADD_CONTAINER_SIZE";
                                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                        settings.Width = 120;
                                        settings.Properties.DropDownWidth = 100;
                                        settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                                        settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
                                    }).BindList(@Model.ContainerSize).GetHtml()
                                </td>
                                <td>
                                    &nbsp;&nbsp;&nbsp;FIT
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>                
                <tr>
                    <td style="padding:10px;">
                        @Html.DevExpress().Label(
                            label =>
                            {
                                label.Text = "Currency";
                            }).GetHtml()
                    </td>
                    <td style="padding:10px;">
                        @Html.DevExpress().ComboBox(
                            settings =>
                            {
                                settings.Name = "I_ADD_CURRENCY";
                                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                settings.Width = 100;
                                settings.Properties.DropDownWidth = 100;
                                settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                                settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
                            }).BindList(@Model.Curency).GetHtml()
                    </td>
                </tr>
                <tr>
                    <td style="padding:10px;">
                        @Html.DevExpress().Label(
                        Label =>
                        {
                            Label.Text = "Cost Center";
                            Label.Width = 90;
                        }).GetHtml()
                    </td>
                    <td style="padding:10px;">
                        @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.Name = "I_ADD_COST_CENTER";
                                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                settings.Width = 150;
                                settings.Properties.MaxLength = 8;
                            }).Bind(Model.COST_CENTER).GetHtml()
                    </td>
                </tr>
                <tr>
                    <td style="padding:10px;">
                        @Html.DevExpress().Label(
                        Label =>
                        {
                            Label.Text = "Valid To";
                            Label.Width = 90;
                        }).GetHtml()
                    </td>
                    <td style="padding:10px;">
                        @Html.DevExpress().DateEdit(
                        settings =>
                        {
                            settings.Name = "I_ADD_VALID_TO";
                            settings.Width = 100;
                            settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                            settings.Properties.EditFormat = EditFormat.Custom;
                            settings.Properties.EditFormatString = "dd.MM.yyyy";
                            settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                            settings.ReadOnly = false;
                            settings.Properties.UseMaskBehavior = true;
                            //settings.Properties.EditFormat = EditFormat.Custom;
                        }).Bind(@Model.VALID_TO).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td align="right" colspan="2" style="padding:10px;">
            @Html.DevExpress().Button(
                edtSetting =>
                {
                    edtSetting.Name = "cmdSave";
                    edtSetting.Width = 75;
                    edtSetting.Text = "Save";
                    edtSetting.ClientSideEvents.Click = "onSave";
                    edtSetting.Style.Add("display", "inline-table");
                    edtSetting.UseSubmitBehavior = true;
                    //di nonaktifin dulu untuk direct login
                    //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ReadyCargoInquiry", "FTR-SPEX-45-01", "CLEAR");
                }).GetHtml()
            @Html.DevExpress().Button(
                edtSetting =>
                {
                    edtSetting.Name = "cmdCancel";
                    edtSetting.Width = 75;
                    edtSetting.Text = "Cancel";
                    edtSetting.ClientSideEvents.Click = "OnCancel";
                    edtSetting.Style.Add("display", "inline-table");
                    edtSetting.UseSubmitBehavior = true;
                    //di nonaktifin dulu untuk direct login
                    //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ReadyCargoInquiry", "FTR-SPEX-45-01", "CLEAR");
                }).GetHtml()
        </td>
    </tr>
</table>
@Html.Partial("PartialHideForm")
